Name:      ii
Version:   1.6
Release:   1%{?dist}
Summary:   IRC IT, simple FIFO based IRC client
Group:     Applications/Communications
License:   MIT
URL:       http://tools.suckless.org/%{name}
Source0:   http://dl.suckless.org/tools/%{name}-%{version}.tar.gz
Patch0:    %{name}-1.6-make.patch

%description
A minimalist FIFO and file-system-based IRC client. It creates an IRC
directory tree with server, channel and nick name directories. In every
directory a FIFO in file and a normal out file is created.

%prep
%setup -q
sed -i 's!PREFIX *=.*!PREFIX = %{_prefix}!' config.mk
sed -i 's!CFLAGS *=\(.*\)!CFLAGS = \1 %{optflags}!' config.mk
%patch0 -p1 -b .make

%build
make %{?_smp_mflags}

%install
make install DESTDIR=%{buildroot}

%files
%doc LICENSE CHANGES FAQ README
%{_bindir}/ii
%{_mandir}/man1/ii.1*

%changelog
* Wed Jan 25 2012 Petr Šabata <contyk@redhat.com> - 1.6-1
- Initial release
